Get a template publication
Returns one immutable publication and its exact build receipt. Use this endpoint to get a template publication through the Samva email API.
Returns one immutable publication and its exact build receipt.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$publicationId*string
Match
^tpub_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/templates/string/publications/string"{ "id": "string", "organizationId": "string", "projectId": "string", "templateId": "string", "commitSha": "string", "treeSha": "string", "entryPath": "string", "buildIdentity": "string", "compileOptionsDigest": "string", "lockfileDigest": "string", "themeDigest": "string", "compilerVersion": "string", "source": { "key": "string", "digest": "string" }, "outlookHtml": { "key": "string", "digest": "string" }, "modernHtml": { "key": "string", "digest": "string" }, "text": { "key": "string", "digest": "string" }, "assets": [ { "url": "string", "digest": "string", "contentType": "font/woff2" } ], "warnings": [ "string" ], "incompatibilities": [ "string" ], "status": "string", "publishedAt": "string", "publishedBy": "string", "createdAt": "string"}